package cz.upol.pja.lecture09

import javax.swing.JFrame
import javax.swing.JTextField
import javax.swing.JPanel
import java.awt.FlowLayout
import javax.swing.JButton
import java.awt.Dimension

object JavaInterop {
  
  def main(args: Array[String]): Unit = {
    val dialog = new HelloWorldDialog
    dialog.setVisible(true)
    
  }
}

class HelloWorldDialog extends JFrame {
  private val inputField = new JTextField("Hello")
  private val okBtn = new JButton("ok")
  private val mainPanel = new JPanel
  
  okBtn.addActionListener(x => println(inputField.getText))
  
  setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE)
  mainPanel.setLayout(new FlowLayout(FlowLayout.CENTER))
  mainPanel.add(inputField)
  mainPanel.add(okBtn)
  setContentPane(mainPanel)
  setPreferredSize(new Dimension(300, 100))
  pack
}