package cz.upol.pja.lecture09

class Rational02(n: Int, d: Int) {
  
  private val g = gcd(n.abs, d.abs)
  val numer = n / g;
  val denom = d / g;
  def this(n: Int) = this(n, 1)
  
  override def toString = numer + "/" + denom

  def add(that: Rational02): Rational02 = {
    new Rational02(numer * that.denom + that.numer * denom, denom * that.denom)
  }
  
  def +(that: Rational02): Rational02 = this add that
  
  private def gcd(a: Int, b: Int): Int = {
    if (b == 0) a
    else gcd(b, a % b);
  }
}